<?php
/*if (get_magic_quotes_gpc())
{
  $process = array(&$_GET, &$_POST, &$_COOKIE, &$_REQUEST);
  while (list($key, $val) = each($process))
  {
    foreach ($val as $k => $v)
    {
      unset($process[$key][$k]);
      if (is_array($v))
      {
        $process[$key][stripslashes($k)] = $v;
        $process[] = &$process[$key][stripslashes($k)];
      }
      else
      {
        $process[$key][stripslashes($k)] = stripslashes($v);
      }
    }
  }
  unset($process);
}
*/
//end of the magicquotes stuff.

if (isset($_GET['addDepartment']))
{
  include 'form.html.php';
  exit();
}

try
{

  $pdo = new PDO('mysql:host=localhost;dbname=company', 'cfn', 'naiman');
  $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
  $pdo->exec('SET NAMES "utf8"');
}
catch (PDOException $e)
{
  $error = 'Unable to connect to the database server.';
  include 'error.html.php';
  exit();
}

if (isset($_POST['dname']))
{
  try
  {
    $sql = 'INSERT INTO department SET
        dname = :dname,
        dnumber = :dnum,
        mgr_ssn = :mgr_ssn,
        mgr_start=CURDATE()';
    $s = $pdo->prepare($sql);
    $s->bindValue(':dname', $_POST['dname']);
    $s->bindValue(':dnum', $_POST['dnum']);
    $s->bindValue(':mgr_ssn', $_POST['mgr_ssn']);
    
    $s->execute();
  }
  catch (PDOException $e)
  {
    $error = 'Error adding submitted department: ' . $e->getMessage();
    include 'error.html.php';
    exit();
  }
  header('Location: .');
  exit();
}


if (isset($_GET['deleteDept']))
{
  try
  {
    $sql = 'DELETE FROM department WHERE dnumber = :id';
    $s = $pdo->prepare($sql);
    $s->bindValue(':id', $_POST['id']);
    $s->execute();
  }
  catch (PDOException $e)
  {
    $error = 'Error deleting department: ' . $e->getMessage();
    include 'error.html.php';
    exit();
  }

  header('Location: .');
  exit();
}







try
{
  $sql = 'SELECT * FROM department';
  $result = $pdo->query($sql);
}
catch (PDOException $e)
{
  $error = 'Error fetching departments: ' . $e->getMessage();
  include 'error.html.php';
  exit();
}
/*
while ($row = $result->fetch())
{
  $dnames[] = $row['dname'];
}
*/
include 'departmentsFields.html.php';
